Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.adapter
Class ClassAdapter

    java.lang.Object
      org.jboss.portal.common.adapter.ClassAdapter

    public class ClassAdapter

extends java.lang.Object

Creates a new class adapter.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Constructor Summary
`ClassAdapter(java.lang.ClassLoader loader, ClassAdapted[] adapteds)` Creates a new class adapter.
`ClassAdapter(java.lang.ClassLoader loader, ClassAdapted[] adapteds, JavaLangObjectAdapted objectAdapted)` Create a new class adapter.

Method Summary
`ClassAdaptable` | `getAdaptable()` Returns an instance of the the adaptable object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAdapter

    public ClassAdapter(java.lang.ClassLoader loader,
                        ClassAdapted[] adapteds)
                 throws java.lang.NoSuchMethodException,
                        java.lang.IllegalArgumentException

  Creates a new class adapter. The object adapted implementation used will be an instance of `JavaLangObjectAdapted`.

  Parameters:
    `loader` - the class loader that will contain the dynamic proxy generated class
    `adapteds` - the array of class adapteds
  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalArgumentException` - if an argument is null

### ClassAdapter

    public ClassAdapter(java.lang.ClassLoader loader,
                        ClassAdapted[] adapteds,
                        JavaLangObjectAdapted objectAdapted)
                 throws java.lang.NoSuchMethodException,
                        java.lang.IllegalArgumentException

  Create a new class adapter.

  Parameters:
    `loader` - the class loader that will contain the dynamic proxy generated class
    `adapteds` - the array of class adapteds
    `objectAdapted` - the implementation of object adapted
  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalArgumentException` - if an argument is null

Method Detail

### getAdaptable

    public ClassAdaptable getAdaptable()
                                throws java.lang.IllegalAccessException,
                                       java.lang.InstantiationException,
                                       java.lang.reflect.InvocationTargetException

  Returns an instance of the the adaptable object.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.